Body
Required
-
Values are
ALL_ANALYSIS,CHECKLIST,CLASSIFY_SCHEDULE,DELAY_ANALYSIS,EXECUTIVE,FILE_EXPORT,FILE_IMPORT,INTEGRATION_SYNC_DATATYPE,INTEGRATION_FILE_DOWNLOAD,INTEGRATION_FILE_VALIDATION,INTEGRATION_FILE_SYNC,MODEL_CREATE,MODEL_UPDATE,PLANNED_CURVE,PROJECT_BASELINE,PROJECT_IMPORT,PROJECT_REBUILD,SCENARIO_CREATE,SCENARIO_UPDATE, orSCHEDULE_REVIEW. -
Values are
QUEUED,IN_PROCESS,COMPLETED, orFAILED. -
Values are
EMAIL_NOTIFICATIONorSMARTPM_DIGEST. -
Values are
FULL_SCHEDULE,PRIMARY_MILESTONE,ALL_MILESTONES, orSELECTED_MILESTONES. -
Values are
ALL_SCHEDULES,LATEST_BASELINE, orALL_MODELS.
POST
/global/notification-subscriptions
curl \
--request POST 'https://live.smartpmtech.com/global/notification-subscriptions' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"name": "string",
"description": "string",
"notificationType": "ALL_ANALYSIS",
"notificationStatus": "QUEUED",
"subscriptionType": "EMAIL_NOTIFICATION",
"milestoneType": "FULL_SCHEDULE",
"subscriptionDOWs": [
{
"id": 42,
"monday": true,
"tuesday": true,
"thursday": true,
"wednesday": true,
"friday": true,
"saturday": true,
"dowFrequency": "FIRST_OF_THE_MONTH",
"sunday": true
}
],
"active": true,
"skipAnalysisComplete": true,
"modelType": "ALL_SCHEDULES",
"notificationSubscriptionCompanyFilters": [
{
"id": 42,
"filterKey": "string",
"filterValue": "string"
}
],
"notificationSubscriptionRecipients": [
{
"recipient": "string",
"id": 42,
"recipientType": "USER"
}
],
"notificationSubscriptionReports": [
{
"id": 42,
"reportTemplateId": 42
}
]
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"description": "string",
"notificationType": "ALL_ANALYSIS",
"notificationStatus": "QUEUED",
"subscriptionType": "EMAIL_NOTIFICATION",
"milestoneType": "FULL_SCHEDULE",
"subscriptionDOWs": [
{
"id": 42,
"monday": true,
"tuesday": true,
"thursday": true,
"wednesday": true,
"friday": true,
"saturday": true,
"dowFrequency": "FIRST_OF_THE_MONTH",
"sunday": true
}
],
"active": true,
"skipAnalysisComplete": true,
"modelType": "ALL_SCHEDULES",
"notificationSubscriptionCompanyFilters": [
{
"id": 42,
"filterKey": "string",
"filterValue": "string"
}
],
"notificationSubscriptionRecipients": [
{
"recipient": "string",
"id": 42,
"recipientType": "USER"
}
],
"notificationSubscriptionReports": [
{
"id": 42,
"reportTemplateId": 42
}
]
}
Response examples (200)
{
"global": true,
"id": 42,
"createdByUserId": "string",
"notificationSubscriptionRecipients": [
{
"recipient": "string",
"id": 42,
"recipientType": "USER"
}
],
"milestoneType": "FULL_SCHEDULE",
"notificationType": "ALL_ANALYSIS",
"notificationStatus": "QUEUED",
"subscriptionType": "EMAIL_NOTIFICATION",
"subscriptionDOWs": [
{
"id": 42,
"monday": true,
"tuesday": true,
"thursday": true,
"wednesday": true,
"friday": true,
"saturday": true,
"dowFrequency": "FIRST_OF_THE_MONTH",
"sunday": true
}
],
"notificationSubscriptionReports": [
{
"id": 42,
"reportTemplateId": 42
}
],
"skipAnalysisComplete": true,
"name": "string",
"active": true,
"description": "string",
"notificationSubscriptionCompanyFilters": [
{
"id": 42,
"filterKey": "string",
"filterValue": "string"
}
],
"modelType": "ALL_SCHEDULES"
}